# This file created by conda-build 2.1.10
# meta.yaml template originally from:
# /Users/buildbot/work/gitlab-ci/f6f95b82/0/bob/bob.conda/recipes/bob.ip.facedetect, last modified Mon Jul 24 14:38:48 2017
# ------------------------------------------------

package:
    name: bob.ip.facedetect
    version: 2.1.3
source:
    fn: bob.ip.facedetect-2.1.3.zip
    md5: da6493dc879a9685c7e4225224788271
    url: https://pypi.io/packages/source/b/bob.ip.facedetect/bob.ip.facedetect-2.1.3.zip
build:
    entry_points:
        - collect_training_data.py = bob.ip.facedetect.script.collect_training_data:main
        - extract_training_features.py = bob.ip.facedetect.script.extract_training_features:main
        - train_detector.py = bob.ip.facedetect.script.train_detector:main
        - validate_detector.py = bob.ip.facedetect.script.validate_detector:main
        - detect_faces.py = bob.ip.facedetect.script.detect_faces:main
        - evaluate_detections.py = bob.ip.facedetect.script.evaluate:main
        - plot_froc.py = bob.ip.facedetect.script.plot_froc:main
    noarch: ''
    noarch_python: false
    number: '0'
    string: np113py36_0
requirements:
    build:
        - bob.learn.boosting 2.0.12 py36_0
        - libtiff 4.0.6 3
        - toolchain 2.3.2 0
        - pytz 2017.2 py36_0
        - scipy 0.19.1 np113py36_0
        - icu 54.1 0
        - numpy 1.13.1 py36_0
        - bob.ip.base 2.0.15 np113py36_0
        - pyparsing 2.1.4 py36_0
        - bob.sp 2.0.9 np113py36_0
        - jpeg 9b 0
        - hdf5 1.8.17 2
        - python-dateutil 2.6.0 py36_0
        - bob.blitz 2.0.13 np113py36_0
        - boost 1.61.0 py36_0
        - bob.ip.color 2.0.9 np113py36_0
        - pkg-config 0.28 1
        - freetype 2.5.5 2
        - pip 9.0.1 py36_1
        - python 3.6.2 0
        - libblitz 0.10 3
        - pyqt 5.6.0 py36_2
        - matplotlib 2.0.2 np113py36_0
        - bob.io.base 2.1.0 np113py36_0
        - xz 5.2.2 1
        - setuptools 27.2.0 py36_0
        - sip 4.18 py36_0
        - bob.math 2.1.1 np113py36_0
        - giflib 5.1.4 3
        - bob.io.image 2.2.2 np113py36_0
        - openssl 1.0.2l 0
        - cycler 0.10.0 py36_0
        - vlfeat 0.9.20 3
        - zlib 1.2.8 3
        - libpng 1.6.27 0
        - bob.ip.draw 2.0.8 np113py36_0
        - six 1.10.0 py36_0
        - bob.extension 2.4.2 py36_0
        - wheel 0.29.0 py36_0
        - readline 6.2 2
        - mkl 2017.0.3 0
        - qt 5.6.2 2
        - bob.core 2.1.8 np113py36_0
        - tk 8.5.18 0
        - sqlite 3.13.0 0
        - jbig 2.1 0
    run:
        - python
        - bob.learn.boosting
        - bob.ip.base
        - bob.ip.draw
        - bob.ip.color
        - bob.io.image
        - libblitz 0.10|0.10.*
        - boost 1.61.*
        - numpy x.x
test:
    commands:
        - collect_training_data.py --help
        - extract_training_features.py --help
        - train_detector.py --help
        - validate_detector.py --help
        - detect_faces.py --help
        - evaluate_detections.py --help
        - plot_froc.py --help
        - nosetests -sv bob.ip.facedetect
    imports:
        - bob
        - bob.ip
        - bob.ip.facedetect
    requires:
        - nose
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD 3-Clause
    summary: Face Detection using a Cascade of Boosted LBP Features
extra:
    final: true
    recipe-maintainers:
        - 183amir
